Bug 196229

Summary: Review Request: xkeyboard-config
Product: [Fedora] Fedora Reporter: Mike A. Harris <mharris>
Component: Package ReviewAssignee: David Cantrell <dcantrell>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, mclasen, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-07-17 15:25:27 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 188268    

Description Mike A. Harris 2006-06-22 01:13:01 EDT
Spec URL: <spec info here>
SRPM URL: <srpm info here>

NOTE:  This is a package renaming request, to rename xorg-x11-xkbdata package
to xkeyboard-config.  The spec file will be identical to the existing
xorg-x11-xkbdata which is of course already part of Core, and follows
Fedora packaging guidelines.

If it is mandatory to attach the actual spec/srpm here by the book, let
me know and I'll do that.  Otherwise, yank xorg-x11-xkbdata spec file
and review that, as the only thing that'll be different, is the name of
the package, with the changelog reset, and any minor tweaks that might
be needed for compat.

Thanks in advance.
Comment 1 Jesse Keating 2006-06-28 16:33:18 EDT
Package looks good, you'll have to add a Obsoletes: xorg-x11-xkbdata and
Provides xorg-x11-xkbdata for upgrade paths.

Can we get rid if the "super ugly hack" in %pre now?

I'm going to approve.
Comment 2 Mike A. Harris 2006-07-07 16:21:18 EDT
*** Bug 197939 has been marked as a duplicate of this bug. ***
Comment 3 Mike A. Harris 2006-07-07 18:03:13 EDT
(In reply to comment #1)
> Package looks good, you'll have to add a Obsoletes: xorg-x11-xkbdata and
> Provides xorg-x11-xkbdata for upgrade paths.

Yep to both.

> Can we get rid if the "super ugly hack" in %pre now?

My comment in there suggests so, but I'll need to review all possible
upgrade paths to be sure.  I like to err on the side of caution though.
A quick cursory look appears that I should be able to remove that
ugliness though.  Sometimes I put hacks of that nature in to prevent
short term developmental upgrade problems from causing unnecessary
bug reports - but later after an OS release is out, and there are unlikely
to be any (or many) people who would have gotten bitten by a development
only transient issue, it makes sense to flush the toilet so to speak. ;)


> I'm going to approve.

Cool.  I'm going to create the new package now, import it and update
the report when I'm done.  Thanks Jesse.
Comment 4 Mike A. Harris 2006-07-07 18:27:35 EDT
Ok, after closer review, it turns out that the %pre hack was only needed
to work around an rpm limitation which occured when updating from early
rawhide versions of xorg-x11-xkbdata which contained the X.Org xkbdata -
to the xorg-x11-xkbdata which contains xkeyboard-config.  Therefore,
the issue can never occur on an official OS upgrade from any FC release
to any newer FC release, or any RHEL release to a newer one.

So, I've axed the %pre hack.  Anyone hit by the issue now, deserves it.
;)
Comment 5 Mike A. Harris 2006-07-07 18:53:09 EDT
Ok, I've imported xkeyboard-config-0.8-1 into CVS, fixed a minor issue and
tagged 0.8-2.  I've built it locally and upgraded my modular X system with
it successfully.  No rpm upgrade warnings/errors.

I have at least temporarily left out "Provides: xorg-x11-xkbdata" for now
for 2 reasons:

1) I believe only our modular X server package and possibly the
   xorg-x11-xkbutils packages depend on xkbdata, and both are using the
   virtual provides "Requires: xkbdata" which was present in both the
   old and new package - so "Provides: xorg-x11-xkbdata" shouldn't be
   needed in theory.

2) I'd like to find out if #1 is false right now, by putting a package
   in rawhide without the Provides to see if other packages do have
   incorrectly specified dependencies, so we can fix them to use the
   virtual provide.  Closer to the FC6 release, I can always add the
   virtual dep if there are any problems or if we want to play things
   safe (albeit a bit pedantically) ;)


The package is now ready, tested and waiting.  Can you add it to dist-fc6
so I can build it, and then disable xorg-x11-xkbdata from dist-fc6.

TIA

Comment 6 Jesse Keating 2006-07-11 16:56:30 EDT
Added to dist, package approved.
Comment 7 Jesse Keating 2006-07-17 15:25:27 EDT
Built into rawhide.